KIcon class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIcon Class Reference

One icon as found by KIconTheme. More...

`#include <kicontheme.h>`

Collaboration diagram for KIcon:

[legend]
List of all members.

## Public Types
enum | Context { Any, Action, Application, Device, FileSystem, MimeType }
| Defines the context of the icon. More...
enum | Type { Fixed, Scalable, Threshold }
| The type of the icon. More...
enum | MatchType { MatchExact, MatchBest }
| The type of a match. More...
enum | Group { NoGroup = -1, Desktop = 0, FirstGroup = 0, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
| The group an an icon. More...
enum | StdSizes { SizeSmall = 16, SizeMedium = 32, SizeLarge = 48 }
| These are the standard sizes for icons. More...
enum | States { DefaultState, ActiveState, DisabledState, LastState }
| Defines the possible states of an icon. More...
enum | Overlays { LockOverlay = 0x100, ZipOverlay = 0x200, LinkOverlay = 0x400, HiddenOverlay = 0x800, ShareOverlay = 0x1000, OverlayMask = ~0xff }
| This defines an overlay, a semi-transparent image that is projected onto the icon. More...
## Public Member Functions
bool | isValid () const
| Return true if this icon is valid, false otherwise.
## Public Attributes
int | size
| The size in pixels of the icon.
Context | context
| The context of the icon.
Type | type
| The type of the icon: Fixed, Scalable or Threshold.
int | threshold
| The threshold in case type == Threshold.
QString | path
| The full path of the icon.

## Detailed Description

One icon as found by KIconTheme.

Also serves as a namespace containing icon related constants.

See also:
  KIconEffect

  KIconTheme

  KIconLoader

Definition at line 36 of file kicontheme.h.

## Member Enumeration Documentation

enum KIcon::Context

  | Defines the context of the icon. Enumeration values:
  Any | Some icon with unknown purpose.
  Action | An action icon (e.g. 'save', 'print').
  Application | An icon that represents an application.
  Device | An icon that represents a device.
  FileSystem | An icon that represents a file system.
  MimeType | An icon that represents a mime type (or file type).
Definition at line 49 of file kicontheme.h.

enum KIcon::Type

  | The type of the icon. Enumeration values:
  Fixed | Fixed-size icon.
  Scalable | Scalable-size icon.
  Threshold | A threshold icon.
Definition at line 61 of file kicontheme.h.

enum KIcon::MatchType

  | The type of a match. Enumeration values:
  MatchExact | Only try to find an exact match.
  MatchBest | Take the best match if there is no exact match.
Definition at line 70 of file kicontheme.h.

enum KIcon::Group

| The group an an icon. Definition at line 81 of file kicontheme.h.

enum KIcon::StdSizes

  | These are the standard sizes for icons. Enumeration values:
  SizeSmall | small icons for menu entries
  SizeMedium | medium sized icons for the desktop
  SizeLarge | large sized icons for the panel
Definition at line 87 of file kicontheme.h.

enum KIcon::States

  | Defines the possible states of an icon. Enumeration values:
  DefaultState | The default state.
  ActiveState | Icon is active.
  DisabledState | Icon is disabled.
  LastState | Last state (last constant).
Definition at line 98 of file kicontheme.h.

enum KIcon::Overlays

  | This defines an overlay, a semi-transparent image that is projected onto the icon. They are used to show that the file represented by the icon is, for example, locked, zipped or hidden. Enumeration values:
  LockOverlay | a file is locked
  ZipOverlay | a file is zipped
  LinkOverlay | a fileis a link
  HiddenOverlay | a file is hidden
  ShareOverlay | a file is shared
Definition at line 109 of file kicontheme.h.

## Member Function Documentation

bool KIcon::isValid | ( |  | ) | const`[inline]`

| Return true if this icon is valid, false otherwise. Definition at line 44 of file kicontheme.h. References size. Referenced by KIconLoader::iconPath(), KIconLoader::loadAnimated(), KIconLoader::loadIcon(), and KIconLoader::moviePath().

## Member Data Documentation

int KIcon::size

| The size in pixels of the icon. Definition at line 121 of file kicontheme.h. Referenced by KIconTheme::iconPath(), and isValid().

Context KIcon::context

| The context of the icon. Definition at line 126 of file kicontheme.h. Referenced by KIconTheme::iconPath(), and KIconLoader::loadIcon().

Type KIcon::type

| The type of the icon: Fixed, Scalable or Threshold. Definition at line 131 of file kicontheme.h. Referenced by KIconTheme::iconPath(), and KIconLoader::loadIcon().

int KIcon::threshold

| The threshold in case type == Threshold. Definition at line 136 of file kicontheme.h. Referenced by KIconTheme::iconPath(), and KIconLoader::loadIcon().

QString KIcon::path

| The full path of the icon. Definition at line 141 of file kicontheme.h. Referenced by KIconTheme::iconPath(), KIconLoader::iconPath(), KIconLoader::loadAnimated(), KIconLoader::loadIcon(), and KIconLoader::moviePath().

The documentation for this class was generated from the following file:

- kicontheme.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:49:11 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001